summaryrefslogtreecommitdiffstats
path: root/run
diff options
context:
space:
mode:
Diffstat (limited to 'run')
-rw-r--r--run/attach-devel.sh1
-rw-r--r--run/devel.sh9
-rw-r--r--run/run-devel.sh5
-rw-r--r--run/run.sh5
-rw-r--r--run/test.sh6
-rw-r--r--run/update-from-devel.sh12
6 files changed, 38 insertions, 0 deletions
diff --git a/run/attach-devel.sh b/run/attach-devel.sh
new file mode 100644
index 0000000..6facdd4
--- /dev/null
+++ b/run/attach-devel.sh
@@ -0,0 +1 @@
+podman exec -it "ccpi-devel" bash
diff --git a/run/devel.sh b/run/devel.sh
new file mode 100644
index 0000000..57ec7f0
--- /dev/null
+++ b/run/devel.sh
@@ -0,0 +1,9 @@
+#! /bin/bash
+
+set -o errexit
+
+if [ ! -d ../repos ]; then
+ buildah unshare bash ../build/extract.sh
+fi
+
+podman run --name "ccpi-devel" -it --rm --hooks-dir /usr/share/containers/oci/hooks.d/ -v ~/ccpi/data:/ccpi/data -v ~/ccpi/repos:/ccpi/repos localhost/ccpi bash -c "bash /root/setup/provision.sh; bash"
diff --git a/run/run-devel.sh b/run/run-devel.sh
new file mode 100644
index 0000000..2adb95c
--- /dev/null
+++ b/run/run-devel.sh
@@ -0,0 +1,5 @@
+#! /bin/bash
+
+set -o errexit
+
+podman run --name "ccpi-run" -it --rm --hooks-dir /usr/share/containers/oci/hooks.d/ -v ~/ccpi/data:/ccpi/data localhost/ccpi:devel bash
diff --git a/run/run.sh b/run/run.sh
new file mode 100644
index 0000000..5ebb075
--- /dev/null
+++ b/run/run.sh
@@ -0,0 +1,5 @@
+#! /bin/bash
+
+set -o errexit
+
+podman run --name "ccpi-run" -it --rm --hooks-dir /usr/share/containers/oci/hooks.d/ -v ~/ccpi/data:/ccpi/data localhost/ccpi bash
diff --git a/run/test.sh b/run/test.sh
new file mode 100644
index 0000000..90624c0
--- /dev/null
+++ b/run/test.sh
@@ -0,0 +1,6 @@
+#! /bin/bash
+
+set -o errexit
+
+#podman exec -it "ccpi-devel" bash /ccpi/data/run.sh
+podman run --name "ccpi-run" -it --rm --hooks-dir /usr/share/containers/oci/hooks.d/ -v ~/ccpi/data:/ccpi/data -e "CUDA_VISIBLE_DEVICES=2" localhost/ccpi:devel bash /ccpi/data/run.sh
diff --git a/run/update-from-devel.sh b/run/update-from-devel.sh
new file mode 100644
index 0000000..19aee6b
--- /dev/null
+++ b/run/update-from-devel.sh
@@ -0,0 +1,12 @@
+#! /bin/bash
+
+set -o errexit
+
+if [ ! -d ../repos ]; then
+ buildah unshare bash ../build/extract.sh
+fi
+
+podman run --name "ccpi-devel" -it --hooks-dir /usr/share/containers/oci/hooks.d/ -v ~/ccpi/data:/ccpi/data -v ~/ccpi/repos:/ccpi/repos localhost/ccpi bash /root/setup/provision.sh
+podman container cp ../repos/ ccpi-devel:/ccpi/
+podman container commit ccpi-devel ccpi:devel
+podman rm ccpi-devel